# \*/ranks, ranking and results

Read all about the data processing in the leaderboard:

{% content-ref url="/pages/-LYXfT2qbHHP6XDl9-g6" %}
[Leaderboard](/live-tracking/gps-timing.md)
{% endcontent-ref %}

### Request

**URL** `https://racemap.com/api/data/v1/:eventId/ranks`\
**Method** GET&#x20;

**Live sample** <https://racemap.com/api/data/v1/61a21210e5d45d000199f7d9/ranks>\
corresponding leaderboard <https://racemap.com/timing/100KmDuathlon2018_Repeat>

**Past sample** <https://racemap.com/api/data/v1/60a3b443f096f800018add7c/ranks>\
corresponding leaderboard <https://racemap.com/timing/sample-event-100km-duathlon_2020>&#x20;

### Response

#### Event object

<table><thead><tr><th width="163.49682120021123">Field</th><th width="204.46455485213932">Description [unit]</th><th>Sample</th><th data-hidden>line</th></tr></thead><tbody><tr><td><code>name</code></td><td>Name of event</td><td><code>"Sample | 100km Duathlon"</code></td><td>2</td></tr><tr><td><code>location</code></td><td>Location</td><td><code>"🇩🇪 Dresden"</code></td><td>3</td></tr><tr><td><code>startTime</code></td><td>Start time in UTC</td><td><code>"2020-04-25T06:00:00.000Z"</code></td><td>4</td></tr><tr><td><code>endTime</code></td><td>End time in UTC</td><td><code>"2020-10-30T18:15:00.000Z"</code></td><td>5</td></tr><tr><td><code>timekeepings</code></td><td>Array for split objects</td><td></td><td>6</td></tr><tr><td><code>starters</code></td><td>Array for participant objects</td><td></td><td>7</td></tr></tbody></table>

#### Split object

<table><thead><tr><th width="150">Field</th><th width="316.3333333333333">Description [unit]</th><th>Sample</th><th data-hidden>line</th></tr></thead><tbody><tr><td><code>name</code></td><td>Name of split </td><td><code>"Finish"</code></td><td>10</td></tr><tr><td><code>offset</code></td><td>Distance [m] along the <a href="https://docs.racemap.com/create-live-tracking/tab-map#shadowtrack">shadowtrack</a>​</td><td><code>100262.4279943064</code></td><td>11</td></tr><tr><td><code>position</code></td><td>Array with longitude, latitude, altitude [m]</td><td><code>13.704038205094022, 51.02687962934201, 166</code></td><td>13 to 16</td></tr><tr><td><code>id</code></td><td>Unique Racemap ID of split</td><td><code>"64513872c3ab09659eb09683"</code></td><td>12</td></tr></tbody></table>

#### Participant object

<table><thead><tr><th width="203.42645717134292">Field</th><th width="332.2158611690556">Description [unit]</th><th width="150">Sample</th><th data-hidden>line</th><th data-hidden></th></tr></thead><tbody><tr><td><code>id</code></td><td>Unique Racemap ID of participant</td><td><code>"60a3b67914742230d14a5bf4"</code></td><td>82</td><td></td></tr><tr><td><code>name</code>*</td><td>Name</td><td><code>"Porstmann"</code></td><td>83</td><td></td></tr><tr><td><code>startNumber</code>*</td><td>Bib number</td><td><code>"18"</code></td><td>84</td><td></td></tr><tr><td><code>tags</code>*</td><td>Object with optional attributes to filter participants eg. age group or nation, format <code>"tag": "value"</code></td><td><code>"age": "40-49", "sex": "mal", "club": "VfA end"</code></td><td></td><td></td></tr><tr><td><code>markerColor</code>*</td><td>Color of dot in tracking map, hex code</td><td><code>"#ffffff"</code></td><td></td><td></td></tr><tr><td><code>importId</code></td><td>User-defined ID with imported participant data, <a href="/pages/-LTq5TdE6GKt2S6dgesz">Generic API</a> (<code>importId</code>) or <a href="/pages/-LTh-oAm96bieBZVeffZ">RACE|RESULT API</a> (<code>Id</code>)</td><td><code>"UniqueImportId_18"</code> or <code>"null"</code><br>if no importId exists</td><td></td><td></td></tr><tr><td><code>rank</code></td><td>Rank</td><td>1</td><td>87</td><td></td></tr><tr><td><code>state</code></td><td></td><td><code>DSQ</code>, <code>DNS</code>, <code>DNF</code> or <code>null</code></td><td>88</td><td></td></tr><tr><td><code>online</code></td><td>Indicator: coordinates received within last 60 s</td><td><code>true</code> or <code>false</code></td><td>138</td><td></td></tr><tr><td><code>progress</code></td><td>Current distance [m] or current duration [ms]</td><td><code>100310</code> or <code>null</code> <br>if no locations within <code>startTime</code> and <code>endTime</code></td><td>89</td><td></td></tr><tr><td><code>currentDuration</code></td><td>Total duration [ms] to reach finish</td><td><code>14697500</code> or <code>null</code> <br>if no locations within <code>startTime</code> and <code>endTime</code></td><td>86</td><td></td></tr><tr><td><code>activeDuration</code></td><td>Duration [ms], movement with speed > 1 km/h, within start- and end time of event</td><td><code>10965700</code> or <code>null</code> <br>if no locations within <code>startTime</code> and <code>endTime</code></td><td></td><td></td></tr><tr><td><code>results</code></td><td>Array for objects with the result for each split</td><td><code>null</code> <br>if split without result</td><td></td><td></td></tr></tbody></table>

\*The parameter is imported or synchronized with RACEMAP from an external source.

#### Result object

<table><thead><tr><th width="211.33333333333331">Field</th><th width="271.70142180094786">Description [unit]</th><th>Sample</th><th data-hidden>line</th></tr></thead><tbody><tr><td><code>id</code></td><td>Unique Racemap ID of split</td><td><code>"64513872c3ab09659eb09683"</code></td><td>102</td></tr><tr><td><code>time</code></td><td>Time in UTC</td><td><code>"2020-04-25T12:10:13Z"</code></td><td>103</td></tr><tr><td><code>relativeProgress</code></td><td>Duration [ms] - set leaderboard target: distance - OR distance [m] - target: duration - from first split</td><td><code>22213000</code></td><td>104</td></tr><tr><td><code>relativeDeltaProgress</code></td><td>Duration [ms] (target: distance) OR distance [m] (duration) from split before </td><td><code>6974608</code></td><td>105</td></tr></tbody></table>

{% code expandable="true" %}

```javascript
{
  "name": "Sample | 100km Duathlon",
  "location": "🇩🇪 Dresden",
  "startTime": "2020-04-25T06:00:00Z",
  "endTime": "2020-10-30T18:15:00Z",
  "timekeepings": [
    {
      "name": "Start",
      "offset": 0,
      "position": [13.704069467101244, 51.027617808548015, 159],
      "id": "64513872c3ab09659eb09674"
    },
    {
      "name": "Ruppendorf",
      "offset": 29513.002967649845,
      "position": [13.599722542890463, 50.90910508578093, 377],
      "id": "64513873368d2f24f3a5feb9"
    },
    {
      "name": "🕖",
      "offset": 48125.51853411951,
      "position": [13.633563734472718, 50.77911506210913, 570],
      "id": "64513873a2c6e28dbe010405"
    },
    {
      "name": "Bergwertung",
      "offset": 49950.82522183896,
      "position": [13.623273503927214, 50.76995405256768, 743],
      "id": "64513874c3ab09659eb096b5"
    },
    {
      "name": "🕖",
      "offset": 67658.33026919093,
      "position": [13.69125, 50.82612, 471],
      "id": "645138746451816d07b38788"
    },
    {
      "name": "Bergwertung",
      "offset": 68781.263669599,
      "position": [13.697525647974045, 50.83382486871975, 603],
      "id": "6451387410e583b28d7167e6"
    },
    {
      "name": "Finish",
      "offset": 100262.4279943064,
      "position": [13.704038205094022, 51.02687962934201, 166],
      "id": "64513872c3ab09659eb09683"
    }
  ],
  "starters": [
    {
      "id": "60a3b67914742230ef4a5be2",
      "name": "Leupold",
      "startNumber": "03",
      "tags": {
        "sex": "mal",
        "club": "VfA end",
        "age": "40-49"
      },
      "markerColor": "#ffffff",
      "importId": "UniqueImportId_3",
      "rank": 7,
      "state": null,
      "online": false,
      "progress": 100262.4279943064,
      "currentDuration": 18030000,
      "activeDuration": 17410000,
      "results": [
        {
          "id": "64513872c3ab09659eb09674",
          "time": "2020-04-25T06:00:00Z",
          "relativeProgress": 0,
          "relativeDeltaProgress": 0
        },
        {
          "id": "64513873368d2f24f3a5feb9",
          "time": "2020-04-25T07:48:58.564Z",
          "relativeProgress": 6538564,
          "relativeDeltaProgress": 6538564
        },
        {
          "id": "64513873a2c6e28dbe010405",
          "time": "2020-04-25T08:57:42.140Z",
          "relativeProgress": 10662140,
          "relativeDeltaProgress": 4123576
        },
        {
          "id": "64513874c3ab09659eb096b5",
          "time": "2020-04-25T09:04:26.535Z",
          "relativeProgress": 11066535,
          "relativeDeltaProgress": 404395
        },
        {
          "id": "645138746451816d07b38788",
          "time": "2020-04-25T10:09:49.607Z",
          "relativeProgress": 14989607,
          "relativeDeltaProgress": 3923072
        },
        {
          "id": "6451387410e583b28d7167e6",
          "time": "2020-04-25T10:13:58.392Z",
          "relativeProgress": 15238392,
          "relativeDeltaProgress": 248785
        },
        {
          "id": "64513872c3ab09659eb09683",
          "time": "2020-04-25T12:10:13Z",
          "relativeProgress": 22213000,
          "relativeDeltaProgress": 6974608
        }
      ]
    },
    {
      "id": "60a3b67914742223014a5bea",
      "name": "Michi",
      "startNumber": "11",
      "tags": {
        "sex": "mal",
        "age": "30-39",
        "club": "Flaming Sideburns"
      },
      "markerColor": "#ffffff",
      "importId": "UniqueImportId_11",
      "rank": 11,
      "state": null,
      "online": false,
      "progress": 100262.4279943064,
      "currentDuration": 23430000,
      "activeDuration": 21700000,
      "results": [
        {
          "id": "64513872c3ab09659eb09674",
          "time": "2020-05-02T06:06:00Z",
          "relativeProgress": 0,
          "relativeDeltaProgress": 0
        },
        {
          "id": "64513873368d2f24f3a5feb9",
          "time": "2020-05-02T08:07:19Z",
          "relativeProgress": 7279000,
          "relativeDeltaProgress": 7279000
        },
        {
          "id": "64513873a2c6e28dbe010405",
          "time": "2020-05-02T09:14:27.931Z",
          "relativeProgress": 11307931,
          "relativeDeltaProgress": 4028931
        },
        {
          "id": "64513874c3ab09659eb096b5",
          "time": "2020-05-02T09:26:40.137Z",
          "relativeProgress": 12040137,
          "relativeDeltaProgress": 732206
        },
        {
          "id": "645138746451816d07b38788",
          "time": "2020-05-02T10:33:39.165Z",
          "relativeProgress": 16059165,
          "relativeDeltaProgress": 4019028
        },
        {
          "id": "6451387410e583b28d7167e6",
          "time": "2020-05-02T10:41:37.087Z",
          "relativeProgress": 16537087,
          "relativeDeltaProgress": 477922
        },
        {
          "id": "64513872c3ab09659eb09683",
          "time": "2020-05-02T12:33:50.567Z",
          "relativeProgress": 23270567,
          "relativeDeltaProgress": 6733480
        }
      ]
    },
    {
      "id": "60a3b679147422101b4a5be3",
      "name": " KRad",
      "startNumber": "04",
      "tags": {
        "sex": "mal",
        "club": "VfA end",
        "age": "30-39"
      },
      "markerColor": "#ffffff",
      "importId": "UniqueImportId_4",
      "rank": 16,
      "state": null,
      "online": false,
      "progress": 100262.4279943064,
      "currentDuration": 23310000,
      "activeDuration": 21225000,
      "results": [null, null, null, null, null, null, null]
    }
  ]
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.racemap.com/api/ranks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
